org.red5.server.stream

## Interface IStreamSource

All Known Subinterfaces:
  ISeekableStreamSource

All Known Implementing Classes:
  FileStreamSource

    public interface IStreamSource

Source for streams

### Method Summary

Methods
`void` `close()` Close stream source
`IEvent` `dequeue()` Double ended queue of event objects
`boolean` `hasMore()` Is there something more to stream?

### Method Detail

#### hasMore

    boolean hasMore()

Is there something more to stream?

Returns:
  `true` if there's streamable data, `false` otherwise

#### dequeue

    IEvent dequeue()

Double ended queue of event objects

Returns:
  Event from queue

#### close

    void close()

Close stream source